> For the complete documentation index, see [llms.txt](https://docs.deltastream.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.deltastream.io/reference/sql-syntax/command/describe-role.md).

# DESCRIBE ROLE

## Syntax

```sql
DESCRIBE ROLE role_name;
```

## Description

This command provides the description of an existing [Access Control](/overview/core-concepts/access-control.md#role) in the current [Access Control](/overview/core-concepts/access-control.md#organiation).

Roles are visible only if the current role has `USAGE` privileges on the role.

### Arguments <a href="#parameters" id="parameters"></a>

#### role\_name

Name of the role to describe. If the name is case-sensitive, you must wrap it in double quotes; otherwise, the system uses the lowercase name.

## Examples

```sh
<no-db>/<no-store># DESCRIBE ROLE useradmin;
+--------------+------------+----------------+--------------------+-------------+
|  Type        |  Name      |  Privilege     |  With Grant Option |  Granted By |
+==============+============+================+====================+=============+
| role         | public     | usage          | false              | orgadmin    |
+--------------+------------+----------------+--------------------+-------------+
| organization | useradmin  | manage_members | true               | orgadmin    |
+--------------+------------+----------------+--------------------+-------------+
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.deltastream.io/reference/sql-syntax/command/describe-role.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
